com.holonplatform.jpa.spring

## Interface JpaConfigProperties

- All Superinterfaces:
    com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound
  All Known Implementing Classes:
    JpaConfigProperties.JpaConfigPropertiesImpl

      public interface JpaConfigProperties
      extends com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound

  A `ConfigPropertySet` for JPA configuration.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JpaConfigProperties.JpaConfigPropertiesImpl` Default implementation

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.holonplatform.core.config.ConfigProperty<com.holonplatform.jdbc.DatabasePlatform>` | `DATABASE` Set the database platform to use.
    `static String` | `DEFAULT_NAME` Configuration property set default name
    `static com.holonplatform.core.config.ConfigProperty<String>` | `DIALECT` Set JPA ORM dialect class name to use, if supported by concrete ORM implementation.
    `static com.holonplatform.core.config.ConfigProperty<Boolean>` | `GENERATE_DDL` Whether to initialize the schema on startup.
    `static com.holonplatform.core.config.ConfigProperty<ORMPlatform>` | `ORM_PLATFORM` Set JPA ORM platform to use.
    `static com.holonplatform.core.config.ConfigProperty<Boolean>` | `SHOW_SQL` Whether to instruct JPA ORM engine to show executed SQL statements, if supported by concrete ORM implementation.

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.holonplatform.core.config.ConfigPropertySet.Builder<JpaConfigProperties>` | `builder()` Builder to create property set instances bound to a property data source, without data context id specification.
    `static com.holonplatform.core.config.ConfigPropertySet.Builder<JpaConfigProperties>` | `builder(String dataContextId)` Builder to create property set instances bound to a property data source.

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

- - ### Field Detail

    - #### DEFAULT_NAME

          static final String DEFAULT_NAME

      Configuration property set default name
      See Also:
        Constant Field Values

    - #### SHOW_SQL

          static final com.holonplatform.core.config.ConfigProperty<Boolean> SHOW_SQL

      Whether to instruct JPA ORM engine to show executed SQL statements, if supported by concrete ORM implementation.

    - #### GENERATE_DDL

          static final com.holonplatform.core.config.ConfigProperty<Boolean> GENERATE_DDL

      Whether to initialize the schema on startup.

    - #### DIALECT

          static final com.holonplatform.core.config.ConfigProperty<String> DIALECT

      Set JPA ORM dialect class name to use, if supported by concrete ORM implementation.

    - #### DATABASE

          static final com.holonplatform.core.config.ConfigProperty<com.holonplatform.jdbc.DatabasePlatform> DATABASE

      Set the database platform to use. Must be one of the names enumerated in `DatabasePlatform`.

    - #### ORM_PLATFORM

          static final com.holonplatform.core.config.ConfigProperty<ORMPlatform> ORM_PLATFORM

      Set JPA ORM platform to use. Must be one of the names enumerated in `ORMPlatform`.

  - ### Method Detail

    - #### builder

          static com.holonplatform.core.config.ConfigPropertySet.Builder<JpaConfigProperties> builder(String dataContextId)

      Builder to create property set instances bound to a property data source.
      Parameters:
        `dataContextId` - Optional data context id to which DataSource is bound
      Returns:
        ConfigPropertySet builder

    - #### builder

          static com.holonplatform.core.config.ConfigPropertySet.Builder<JpaConfigProperties> builder()

      Builder to create property set instances bound to a property data source, without data context id specification.
      Returns:
        ConfigPropertySet builder

Copyright © 2019 The Holon Platform. All rights reserved.